=== debian/changelog ===
goxel (0.10.6-3) unstable; urgency=high

  * Remove architectures failing to build

 -- Federico Ceratto <federico@debian.org>  Sun, 31 Jan 2021 21:51:33 +0000

goxel (0.10.6-2) unstable; urgency=medium

  * Link to libatomic (Closes: #964403)
  * Use packaged libstb (Closes: #949552)
  * Drop inih dep (Closes: #978021)

 -- Federico Ceratto <federico@debian.org>  Fri, 25 Dec 2020 19:30:10 +0000

goxel (0.10.6-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix typo (Closes: #914749)

 -- Federico Ceratto <federico@debian.org>  Sat, 20 Jun 2020 21:01:53 +0100
