=== debian/control ===
Source: goxel
Section: graphics
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 13),
 clang,
 help2man,
 libatomic1,
 libglfw3-dev,
 libgtk-3-dev,
 libstb-dev,
 scons,
 uthash-dev
Standards-Version: 4.5.1
Homepage: https://github.com/guillaumechereau/goxel
Vcs-Git: https://salsa.debian.org/debian/goxel.git
Vcs-Browser: https://salsa.debian.org/debian/goxel
Rules-Requires-Root: no

Package: goxel
Architecture: amd64 arm64 armel armhf i386 m68k mips powerpc ppc64 ppc64el sh4 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3D voxel editor
 Goxel is a 3D program that lets you create voxel volumes.
 It supports 24 bits RGB colors, unlimited scene size and undo buffers.
 Layers, procedural generation and Marching Cube rendering.
 Exports to obj, ply, magica voxel, png, qubicle, povray, and more
