=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

# link to libatomic on armel and mipsel
ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel))
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

include /usr/share/dpkg/default.mk  # provides DEB_VERSION

%:
	dh $@

override_dh_auto_clean:
	scons -c
	rm -rf .sconf_temp config.log debian/goxel.1 goxel.xpm goxel.png
	rm -rf .sconsign.dblite
	if [ -d .ext_src ]; then rm ext_src -rf; mv .ext_src ext_src; fi

override_dh_auto_build:
	# extract only the required dependencies
	mv ext_src .ext_src
	mkdir ext_src
	cp -a .ext_src/imgui ext_src
	cp -a .ext_src/inih ext_src
	cp -a .ext_src/json ext_src
	cp -a .ext_src/lua ext_src
	cp -a .ext_src/noc ext_src
	cp -a .ext_src/xxhash ext_src
	cp -a .ext_src/yocto ext_src
	cp -a /usr/include/stb ext_src
	scons cycles=0 debug=0 clang=1 --jobs=$(NUMJOBS) --no-cache
	cp -a ./osx/goxel/goxel/Assets.xcassets/AppIcon.appiconset/64.png ./goxel.png
	rm ext_src -rf
	mv .ext_src ext_src

override_dh_installman:
	help2man -N --no-discard-stderr \
		--no-info --version-string="$(DEB_VERSION)" \
		-n "3D voxel editor" ./goxel > debian/goxel.1
	dh_installman ./debian/goxel.1

override_dh_usrlocal:
	true

override_dh_auto_install:
	PREFIX=/usr dh_auto_install
