=== debian/changelog ===
goxel (0.10.8-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 29 Jan 2022 15:25:15 +0000
