=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libstb-dev,
  scons,
  uthash-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/guillaumechereau/goxel
 Vcs-Git: https://salsa.debian.org/debian/goxel.git
 Vcs-Browser: https://salsa.debian.org/debian/goxel
