## goxel 0.11.0

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
 
 clean:
 	scons -c
+
+analyze:
+	scan-build scons mode=analyze
 
 # Make the doc using natualdocs.  On debian, we only have an old version
 # of naturaldocs available, where it is not possible to exclude files by
@@ -34,7 +37,7 @@
 
 .PHONY: install
 install:
-	install -Dm744 goxel $(DESTDIR)$(PREFIX)/bin/goxel
+	install -Dm755 goxel $(DESTDIR)$(PREFIX)/bin/goxel
 	for size in 16 24 32 48 64 128 256; do
 	    install -Dm644 data/icons/icon$${size}.png \
 	        $$(printf '%s%s' $(DESTDIR)$(PREFIX)/share/icons/hicolor/ \
