=== debian/changelog ===
goxel (0.11.0-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:27 +1100

goxel (0.11.0-1.1build2) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:10:59 +0000

goxel (0.11.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:47:07 +0000

goxel (0.11.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build without sanitizers. (Closes: #1031741)
  * Build on all architectures again.

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Mar 2023 09:46:36 +0200

goxel (0.11.0-1) unstable; urgency=medium

  * New upstream release (Closes: #984155)

 -- Federico Ceratto <federico@debian.org>  Wed, 11 Jan 2023 21:54:53 +0000
