=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: goxel
 Section: graphics
 Priority: optional
-Maintainer: Federico Ceratto <federico@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper-compat (= 13),
  clang,
  help2man,
@@ -18,7 +19,7 @@
 Rules-Requires-Root: no
 
 Package: goxel
-Architecture: amd64 arm64 armel armhf i386 m68k mips powerpc ppc64 ppc64el sh4 x32
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 3D voxel editor
  Goxel is a 3D program that lets you create voxel volumes.
