=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/goxel-$1\.tar\.gz/ https://github.com/guillaumechereau/goxel/tags .*/v?(\d\S*)\.tar\.gz
